%define name	lincvs
%define version 1.3.2
%define release 2mdk

Name:		%name
Version:	%version
Release:	%release
Summary:	LinCVS is a graphical interface for the cvs client commandline tool.
License:	GPL
Group:		Development/Other
URL:		http://www.lincvs.org/
Source0:	%name-%version-0-generic-src.tar.bz2
Source1:	%{name}_16.png
Source2:	%{name}_32.png
Source3:	%{name}_48.png
Patch0:     lincvs-1.3.2-0-gcc34.patch.bz2        
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	qt3-devel
Requires:	cvs

%description
LinCVS is a graphical interface for the cvs client commandline tool.
In contrast to other programs this one is really easy to use ;-) .

%prep
%setup -q
%patch0 -p0

%build
# Generate Makefile
%{_libdir}/qt3/bin/qmake -o Makefile lincvs.pro QTDIR=%{_libdir}/qt3
%make QTDIR=%{_libdir}/qt3

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std QTDIR=%{_libdir}/qt3 INSTALL_ROOT=$RPM_BUILD_ROOT%{_libdir}/apps/

install -d $RPM_BUILD_ROOT%{_bindir}

# Generate a wrapper script
echo \#\!/bin/bash > $RPM_BUILD_ROOT%{_bindir}/%{name}
echo exec\ \"%{_libdir}/apps/LinCVS/lincvs.bin\" >> $RPM_BUILD_ROOT%{_bindir}/%{name}
chmod 755 $RPM_BUILD_ROOT%{_bindir}/%{name}

# Fix permissions
find $RPM_BUILD_ROOT%{_libdir}/apps/LinCVS/{Help,Messages}/ -type f -depth -exec chmod 644 {} \;
find $RPM_BUILD_ROOT%{_libdir}/apps/LinCVS/Tools/ -type f -depth -exec chmod 755 {} \;

# Make symlink for docs
mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc
cd $RPM_BUILD_ROOT%{_datadir}/doc
ln -s ../../..%{_libdir}/apps/LinCVS/Help  %{name}-%{version}


# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
icon="%{name}.png" section="Applications/Development/Tools" \
title="LinCVS" longtitle="LinCVS is a graphical interface for cvs."
EOF
  
#icon
install -d $RPM_BUILD_ROOT%{_iconsdir}
install -d $RPM_BUILD_ROOT%{_liconsdir}
install -d $RPM_BUILD_ROOT%{_miconsdir}
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
 
%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,root)
%{_bindir}/*
%dir %{_libdir}/apps/LinCVS
%{_libdir}/apps/LinCVS/*
%{_menudir}/*
%{_datadir}/icons/*
%{_datadir}/doc/*


%changelog
* Wed Jun 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.2-2mdk
- rebuild with new g++
- patch 0: fix build with new g++

* Mon May 31 2004 Marcel Pol <mpol@mandrake.org> 1.3.2-1mdk
- 1.3.2
- better fix for permissions

* Wed Aug 06 2003 Marcel Pol <mpol@gmx.net> 1.2.0-1mdk
- 1.2.0
- buildrequires

* Thu May 01 2003 Marcel Pol <mpol@gmx.net> 1.1.6-1mdk
- initial mandrake package
